For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
  • E-invoicing
  • Payments
      • GETGet payment records
      • POSTCreate a payment record
      • GETGet a payment record
      • PATCHUpdate a payment record
      • POSTCancel a payment record
      • POSTMark a payment record as succeeded
      • POSTStart processing a payment record
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
PaymentsPayment records

Mark a payment record as succeeded

POST
/payment_records/:payment_record_id/mark_as_succeeded
POST
/v1/payment_records/:payment_record_id/mark_as_succeeded
$curl -X POST https://api.sandbox.monite.com/v1/payment_records/payment_record_id/mark_as_succeeded \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "paid_at": "2024-01-15T09:30:00Z"
>}'
1{
2 "id": "id",
3 "amount": 1,
4 "currency": "AED",
5 "history": [
6 {
7 "status": "created",
8 "timestamp": "2024-01-15T09:30:00Z",
9 "entity_user_id": "entity_user_id"
10 }
11 ],
12 "is_external": true,
13 "object": {
14 "id": "id",
15 "new_status": "new_status",
16 "old_status": "old_status",
17 "type": "receivable"
18 },
19 "entity_user_id": "entity_user_id",
20 "overpaid_amount": 1,
21 "paid_at": "2024-01-15T09:30:00Z",
22 "payment_intent_id": "payment_intent_id",
23 "payment_intent_status": "payment_intent_status",
24 "payment_method": "payment_method",
25 "planned_payment_date": "planned_payment_date",
26 "status": "status"
27}
Was this page helpful?
Previous

Start processing a payment record

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

payment_record_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
paid_atdatetimeRequired
Timestamp marking when the payment was executed.
payment_intent_statusstringOptional
Raw status string of the external payment intent.

Response

Successful Response
idstringformat: "uuid"
amountinteger

Positive amount in case of successful payment, negative amount in case of payment failure or refund, represented in minor currency units (e.g., cents).

currencyenum

Currency code (ISO 4217) indicating the currency in which the payment was made.

historylist of objects
History of the payment record.
is_externalboolean
objectobject
entity_user_idstringformat: "uuid"
ID of the user associated with the payment, if applicable.
overpaid_amountinteger>=0Defaults to 0

Filled in a case, if payment amount is more, than total_amount

paid_atdatetime
Timestamp marking when the payment was executed. Null if payment hasn't occurred yet.
payment_intent_idstringformat: "uuid"
Identifier for an payment intent.
payment_intent_statusstring
Raw status string of the external payment intent.
payment_methodstring
Payment method used or planned for the transaction.
planned_payment_datestringformat: "date"
Scheduled date for future payments, required when the payment is planned but not yet executed.
statusstringDefaults to succeeded

The current status of the payment record. Possible values: created, processing, succeeded, canceled.

Errors

422
Post Payment Records ID Mark as Succeeded Request Unprocessable Entity Error
500
Post Payment Records ID Mark as Succeeded Request Internal Server Error